<?php
include_once 'inc/function.php';
$admin=new Admin();

if(!empty($_POST['task']) && $_POST['task']=='add'){
	$response=$admin->add_testimonials($db,$_POST);
	if($response){
		$_SESSION['success']='New Testimonials Added Successfully';
		echo '<script> window.location="view-testimonials.php?task=view&page=1"; </script>';
	}
}

include_once 'inc/header.php';
?>

<div id="content" class="container-fluid">
  <ol class="breadcrumb">
    <li>Home</li>
    <li>Testimonials Management</li>
    <li>Add Testimonials</li>
  </ol>
  <div class="panel panel-default">
    <div class="panel-heading">
      <div class="pull-right">
        <button type="submit" form="form-testimonials" title="Save" data-toggle="tooltip" class="btn btn-success"><i class="fa fa-save"></i></button>
        <a href="view-testimonials.php?task=view&page=1" title="Cancel" data-toggle="tooltip" class="btn btn-danger"><i class="fa fa-times"></i></a> </div>
      <h1 class="panel-title"><i class="fa fa-comments"></i> Add Testimonials</h1>
    </div>
    <div class="panel-body">
      <form method="post" id="form-testimonials" class="form-horizontal" enctype="multipart/form-data"><br>
		<input type="hidden" name="task" value="add">
        <div class="form-group">
          <label class="required col-sm-2 control-label">Name</label>
          <div class="col-sm-10">
            <input type="text" name="name" class="form-control" required>
          </div>
        </div>
        <div class="form-group">
          <label class="required col-sm-2 control-label">City</label>
          <div class="col-sm-10">
            <input type="text" name="city" class="form-control" required>
          </div>
        </div>
        <div class="form-group">
          <label class="required col-sm-2 control-label">Content</label>
          <div class="col-sm-10">
            <textarea name="content" class="form-control" rows="5"></textarea>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>

<?php include_once 'inc/footer.php'; ?>

<script src="<?=SITEURL?>/js/jquery.validate.min.js" type="text/javascript"></script>
<script>
	// JavaScript Document

(function($,W,D)
{
    var JQUERY4U = {};

    JQUERY4U.UTIL =
    {
        setupFormValidation: function()
        {
            //form validation rules
            $("#form-testimonials").validate({
                rules: {
                    name: {
						required:true
					},
					content: {
						required:true
					}
                },
                messages: {
                    name: {
						required: "Please enter the name"
					},
					content {
						required: "Please enter content"
					}
                },
                submitHandler: function(form) {
                    form.submit();
                }
            });
        }
    }

    //when the dom has loaded setup form validation rules
    $(D).ready(function($) {
        JQUERY4U.UTIL.setupFormValidation();
    });

})(jQuery, window, document);
</script>

<script type="text/javascript" src="<?=ADMINURL?>/js/system.js"></script>